#include "U8glib.h"

U8GLIB_SSD1306_128X64 u8g(U8G_I2C_OPT_NONE);  // HW SPI Com: CS = 10, A0 = 9 (Hardware Pins are  SCK = 13 and MOSI = 11)

const int soundSensor = A0; // set the sound sensor to pin A0

int soundValue = 0;

void drawSetup(void)
{

  u8g.setFont(u8g_font_6x13);
  u8g.drawStr(0, 32, "Speak louder!");
}

void drawMotion(void)
{
  u8g.setFont(u8g_font_4x6);
  u8g.drawStr(0, 32, "Oh wow that's pretty loud!");
  delay(1000);
}

void setup() {
  Serial.begin(9600);
}

void loop() {
  soundValue = analogRead(soundSensor);
  Serial.print("soundValue: ");  
  Serial.println(soundValue);         
  /* if the value is larger than threshold, turn on led */
  int level = map(soundValue, 11, 500, 0, 10); //valor entre cero y 512.  Delay frena todo.
  Serial.print("level: ");
  Serial.println(level);  

  if (level > 3) //level es un valor entre cero y diez
  {
    Serial.println("Sound Detected");
    // picture loop
    u8g.firstPage();
    do {
      drawMotion();
      u8g.setColorIndex(1);
    } while ( u8g.nextPage() );
  }
  else {
    Serial.println("No Sound Detected");
    // picture loop
    u8g.firstPage();
    do {
      drawSetup();
      u8g.setColorIndex(1);
    } while ( u8g.nextPage() );
  }

}
